Grouped by screen, as in the app. Scope for the whole module: erp.iot.*:read or :write.
Reports
Access: erp.iot.reports:read(or :write)
GET/public/v1/iot/reports/parts-completed
Machine data: parts completed vs required
Scope erp.iot.reports:read · the client's role needs view on Reports
Parameters
| Name | In | Type | Notes |
|---|
from * | query | string (date) | From this date (YYYY-MM-DD), inclusive. |
to * | query | string (date) | Up to this date (YYYY-MM-DD), inclusive. |
Response (200) — data
| Field | Type | Notes |
|---|
productId | integer (int64) | |
productName | string | |
partId | integer (int64) | |
partName | string | |
qtyPerGarment | integer (int32) | |
piecesDone | integer (int64) | |
requiredQty | integer (int64) | |
completionPct | number | |
Errors: 400, 401, 403, 404, 405, 429, 500 — every error says how to fix it; see error codes and troubleshooting.
Example
# KERN ERP — Machine data: parts completed vs required
curl -X GET "https://kronex.codeverse.co/cedge/public/v1/iot/reports/parts-completed" \
-H "Authorization: Bearer $KERN_API_KEY"GET/public/v1/iot/reports/operator-efficiency
Machine data: operator efficiency (earned vs actual minutes)
Scope erp.iot.reports:read · the client's role needs view on Reports
Parameters
| Name | In | Type | Notes |
|---|
from * | query | string (date) | From this date (YYYY-MM-DD), inclusive. |
to * | query | string (date) | Up to this date (YYYY-MM-DD), inclusive. |
Response (200) — data
| Field | Type | Notes |
|---|
employeeId | integer (int64) | |
employeeName | string | |
pieces | integer (int64) | |
earnedMinutes | number | |
actualMinutes | number | |
efficiencyPct | number | |
Errors: 400, 401, 403, 404, 405, 429, 500 — every error says how to fix it; see error codes and troubleshooting.
Example
# KERN ERP — Machine data: operator efficiency (earned vs actual minutes)
curl -X GET "https://kronex.codeverse.co/cedge/public/v1/iot/reports/operator-efficiency" \
-H "Authorization: Bearer $KERN_API_KEY"GET/public/v1/iot/reports/machine-utilization
Machine data: machine utilisation
Scope erp.iot.reports:read · the client's role needs view on Reports
Parameters
| Name | In | Type | Notes |
|---|
from * | query | string (date) | From this date (YYYY-MM-DD), inclusive. |
to * | query | string (date) | Up to this date (YYYY-MM-DD), inclusive. |
Response (200) — data
| Field | Type | Notes |
|---|
machineId | integer (int64) | |
machineCode | string | |
brand | string | |
lineName | string | |
daysActive | integer (int64) | |
runMinutes | number | |
availableMinutes | number | |
utilizationPct | number | |
pieces | integer (int64) | |
Errors: 400, 401, 403, 404, 405, 429, 500 — every error says how to fix it; see error codes and troubleshooting.
Example
# KERN ERP — Machine data: machine utilisation
curl -X GET "https://kronex.codeverse.co/cedge/public/v1/iot/reports/machine-utilization" \
-H "Authorization: Bearer $KERN_API_KEY"GET/public/v1/iot/reports/line-balance
Machine data: line balance per operation
Scope erp.iot.reports:read · the client's role needs view on Reports
Parameters
| Name | In | Type | Notes |
|---|
from * | query | string (date) | From this date (YYYY-MM-DD), inclusive. |
to * | query | string (date) | Up to this date (YYYY-MM-DD), inclusive. |
Response (200) — data
| Field | Type | Notes |
|---|
styleOperationId | integer (int64) | |
productName | string | |
operationName | string | |
samMinutes | number | |
pieces | integer (int64) | |
actualMinutes | number | |
avgMinutesPerPiece | number | |
variancePct | number | |
Errors: 400, 401, 403, 404, 405, 429, 500 — every error says how to fix it; see error codes and troubleshooting.
Example
# KERN ERP — Machine data: line balance per operation
curl -X GET "https://kronex.codeverse.co/cedge/public/v1/iot/reports/line-balance" \
-H "Authorization: Bearer $KERN_API_KEY"